### Method

# Gio UnixConnection receive_credentials

since: 2.26

#### Declaration

    GCredentials*
    g_unix_connection_receive_credentials (
      GUnixConnection* connection,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Receives credentials from the sending end of the connection. The sending end has to call `g_unix_connection_send_credentials()` (or similar) for this to work.

As well as reading the credentials this also reads (and discards) a single byte from the stream, as this is required for credentials passing to work on some implementations.

This method can be expected to be available on the following platforms:

- Linux since GLib 2.26
- FreeBSD since GLib 2.26
- GNU/kFreeBSD since GLib 2.36
- Solaris, Illumos and OpenSolaris since GLib 2.40
- GNU/Hurd since GLib 2.40

Other ways to exchange credentials with a foreign peer includes the `GUnixCredentialsMessage` type and `g_socket_get_credentials()` function.

Available since: 2.26

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GCredentials`

Received credentials on success (free with g_object_unref()), `NULL` if `error` is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.